Show / Hide Table of Contents

# Struct SkeletonResourceHandle

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.System.Resource.Handle

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct SkeletonResourceHandle

### Fields

| Improve this Doc View Source

#### BoneCount

##### Declaration

    public uint BoneCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### HavokLoader

##### Declaration

    public hkLoader*HavokLoader

##### Field Value

Type | Description
--- | ---
hkLoader* |

| Improve this Doc View Source

#### HavokSkeleton

##### Declaration

    public hkaSkeleton*HavokSkeleton

##### Field Value

Type | Description
--- | ---
hkaSkeleton* |

| Improve this Doc View Source

#### InverseBoneMatrix

##### Declaration

    public Matrix44*InverseBoneMatrix

##### Field Value

Type | Description
--- | ---
Matrix44* |

| Improve this Doc View Source

#### ResourceHandle

##### Declaration

    public ResourceHandle ResourceHandle

##### Field Value

Type | Description
--- | ---
ResourceHandle |

| Improve this Doc View Source

#### SkeletonData

##### Declaration

    public SkeletonResourceHandle.SkeletonHeader SkeletonData

##### Field Value

Type | Description
--- | ---
SkeletonResourceHandle.SkeletonHeader |

| Improve this Doc View Source

#### SkeletonMapperDict1

##### Declaration

    public StdMap<uint, Pointer<hkaSkeletonMapper>> SkeletonMapperDict1

##### Field Value

Type | Description
--- | ---
StdMap<System.UInt32, Pointer<hkaSkeletonMapper>> |

| Improve this Doc View Source

#### SkeletonMapperDict2

##### Declaration

    public StdMap<uint, Pointer<hkaSkeletonMapper>> SkeletonMapperDict2

##### Field Value

Type | Description
--- | ---
StdMap<System.UInt32, Pointer<hkaSkeletonMapper>> |